// required start
@import 'custom';
@import '~bootstrap/scss/functions';
@import '~bootstrap/scss/variables';
@import '~bootstrap/scss/mixins';
// required end
@import "stresstest/button";
@import "stresstest/images";
@import "stresstest/general";
@import "stresstest/modal";
@import "stresstest/override";

$score_max_1-3: 24;
$score_normal_max_1-3: 10;

$score_max_4-5: 28;
$score_normal_max_4-5: 11;

$score-1-3_normal: ($score_normal_max_1-3 / $score_max_1-3) * 100%;
$score-1-3_alert: 100% - (($score_normal_max_1-3 / $score_max_1-3) * 100%);

$score-4-5_normal: ($score_normal_max_4-5 / $score_max_4-5) * 100%;
$score-4-5_alert: 100% - (($score_normal_max_4-5 / $score_max_4-5) * 100%);

html {
    min-height: 100%;
}

body {
    background-color: #E8F7FF;
    background: radial-gradient(126.56% 58.45% at 48.09% 41.55%, #FFFFFF 0%, rgba(255, 255, 255, 0) 100%), #E8F7FF;
}

.rewards-notification--wrapper {
    background-color: #4075D7;
    color: #fff;
    padding: 1rem;
    display: none;

    p {
        font-size: 12px;
        letter-spacing: .75px;
        line-height: 1.5;
        margin-bottom: 0;
    }
}

.lct {
    &__stress_test__result {
        min-height: calc(100vh - 64px);
        background-image: url(../images/stresstest/orn-doodles.png);
        background-position: 50% 100%;
        background-repeat: no-repeat;
        background-size: 60% auto;

        &__outer {
            picture {
                margin-left: auto;
                margin-right: auto;

                &.logo {
                    &__main {
                        max-width: 120px;
                    }

                    &__stresstest {
                        max-width: 200px;
                        margin-top: 1rem;
                    }
                }
            }

            @media screen and (min-width: 375px){
                picture {
                    &.logo {
                        &__main {
                            max-width: 120px;
                        }

                        &__stresstest {
                            max-width: none;
                        }
                    }
                }
            }

            @media screen and (min-width: 768px){
                picture {
                    &.logo {
                        &__main {
                            max-width: 140px;
                        }
                    }
                }
            }
        }

        &__content {
            color: #164B8D;

            h1 {
                font-size: 1.25rem;
                font-weight: 300;
            }

            .result--wrapper {
                > .row {
                    > * {
                        &:nth-child(2){
                            @media screen and (min-width: 768px){
                                border-left: 1px solid #C8ECFF;
                            }
                        }

                        .result-profile {
                            h2 {
                                font-family: 'VAGRoundedStd';
                                font-weight: bold;
                                font-size: 1.5rem;
                                margin-bottom: 0;
                            }

                            .usia {
                                color: #328BD4;
                                font-weight: bold;
                                letter-spacing: .75px;
                            }

                            .result-score {


                                .stress-level {
                                    margin: .5rem 0 1rem;
                                    color: #a6e0e6;

                                    p {
                                        margin-bottom: 0;

                                        &:nth-child(1){
                                            font-size: 5rem;
                                            font-weight: 900;
                                            line-height: 1;
                                        }

                                        &:nth-child(2){
                                            font-size: 12px;
                                            font-weight: bold;
                                            letter-spacing: .75px;
                                        }
                                    }
                                }

                                .score-bar--wrapper {
                                    max-width: 270px;
                                    margin: 0 auto 2rem;

                                    .progress--wrapper {
                                        position: relative;

                                        .progress {
                                            border-radius: 20px;
                                            background-color: transparent;
                                            background-image: url(../images/stresstest/pattern-bar.png);
                                            background-position: 0 0;
                                            background-repeat: no-repeat;
                                            background-size: cover;
                                        }

                                        .indicator, .line {
                                            width: 15px;
                                            height: 15px;
                                            transform: translate(-50%, -50%);
                                        }

                                        .indicator {
                                            top: 0;
                                            left: 0;
                                            transition: left .6s ease;

                                            svg {
                                                display: block;
                                                width: 100%;
                                                height: 100%;
                                            }
                                        }

                                        .line {
                                            top: 7px;

                                            &:after {
                                                content: '';
                                                position: absolute;
                                                left: calc(50% - 0.5px);
                                                width: 0;
                                                height: 24px;
                                                border: 1px dashed #a6e0e6;
                                            }
                                        }
                                    }

                                    .progress-label {
                                        margin-top: 1rem;
                                        padding-bottom: .75rem;

                                        .progress-label-col {
                                            color: #AAC6FF;
                                            border-left: 1px solid #AAC6FF;
                                            text-align: center;
                                            padding: 0 5px;
                                            position: relative;

                                            p {
                                                font-size: 12px;
                                                font-weight: bold;
                                                letter-spacing: 1px;
                                                line-height: 1.1;
                                            }

                                            &.label-normal,
                                            &.label-alert {
                                                &:before,
                                                &:after {
                                                    position: absolute;
                                                    bottom: -1.75rem;
                                                    font-size: 10px;
                                                    color: #AAC6FF;
                                                    transform: translateX(-50%);
                                                }

                                                &:before {
                                                    left: 0;
                                                }

                                                &:after {
                                                    left: 100%;
                                                }
                                            }

                                            &.label-normal {
                                                &:before {
                                                    content: '0';
                                                }
                                            }

                                            &.label-alert {
                                                border-right: 1px solid #AAC6FF;
                                            }
                                        }
                                    }
                                }

                                &[data-age="1-3"]{
                                    .score-bar--wrapper {
                                        .progress--wrapper {
                                            .line {
                                                left: $score-1-3_normal;
                                            }
                                        }

                                        .progress-label-col {
                                            &.label-normal {
                                                flex: 0 0 $score-1-3_normal;
                                                max-width: $score-1-3_normal;

                                                &:after {
                                                    content: '#{$score_normal_max_1-3}';
                                                }
                                            }

                                            &.label-alert {
                                                flex: 0 0 $score-1-3_alert;
                                                max-width: $score-1-3_alert;

                                                &:after {
                                                    content: '#{$score_max_1-3}';
                                                }
                                            }
                                        }
                                    }
                                }

                                &[data-age="4-5"]{
                                    .score-bar--wrapper {
                                        .progress--wrapper {
                                            .line {
                                                left: $score-4-5_normal;
                                            }
                                        }

                                        .progress-label-col {
                                            &.label-normal {
                                                flex: 0 0 $score-4-5_normal;
                                                max-width: $score-4-5_normal;

                                                &:after {
                                                    content: '#{$score_normal_max_4-5}';
                                                }
                                            }

                                            &.label-alert {
                                                flex: 0 0 $score-4-5_alert;
                                                max-width: $score-4-5_alert;

                                                &:after {
                                                    content: '#{$score_max_4-5}';
                                                }
                                            }
                                        }
                                    }
                                }

                                &[data-normal="true"]{
                                    .stress-level {
                                        p {
                                            color: #54A57A;
                                        }
                                    }

                                    .score-bar--wrapper {
                                        .progress-bar {
                                            background-color: #54A57A;
                                            background: linear-gradient(90deg, #54A57A 32.32%, rgba(84, 165, 122, 0) 183.84%), #C5B044;
                                        }

                                        .progress-label-col.label-normal {
                                            color: #54A57A;
                                        }
                                    }
                                }

                                &[data-normal="false"]{
                                    .stress-level {
                                        p {
                                            color: #FC6061;
                                        }
                                    }

                                    .score-bar--wrapper {
                                        .progress-bar {
                                            background-color: #FC6061;
                                            background: linear-gradient(90deg, #FE9D9E 15.56%, #FC6061 64.22%), #D85F55;
                                        }

                                        .progress-label-col.label-alert {
                                            color: #FC6061;
                                        }
                                    }
                                }
                            }

                            .score-note {
                                padding: 0 1rem;
                                margin-bottom: 1rem;
                                text-align: left;

                                p {
                                    font-weight: 200;
                                    line-height: 1.5;
                                    font-size: 14px; 
                                }

                                ol {
                                    list-style: disc;
                                    padding-left: 1rem;
                                    
                                    li {
                                        font-size: 14px;
                                    }
                                }
                                

                                strong, a {
                                    font-weight: bold;
                                }

                                @media screen and (max-width: 992px){
                                    p {
                                        font-size: 12px; 
                                    }
    
                                    ol {
                                        li {
                                            font-size: 12px;
                                        }
                                    }
                                }
                            }

                            .btn {
                                width: 200px;

                                @media screen and (max-width: 1199px){
                                    &.md-btn {
                                        width: 200px;
                                        font-size: 14px;
                                    }
                                }

                                @media screen and (max-width: 992px){
                                    &.md-btn {
                                        width: 100%;
                                    }
                                }

                                &.btn-profile {
                                    color: #0038AA;
                                    border: 2px solid #0038aa;
                                    padding-top: 10px;
                                    padding-bottom: 10px;

                                    &:hover {
                                        color: #fff;
                                        background-color: #0038aa;
                                    }

                                    @media screen and (max-width: 767px){
                                        margin-bottom: 10px;
                                    }
                                }
                            }
                        }

                        .consultation--wrapper {
                            picture {
                                display: block;
                                border-radius: 20px;
                                overflow: hidden;

                                img {
                                    width: 100%;
                                    display: block;
                                }
                            }

                            a {
                                position: absolute;
                                bottom: 1.75rem;
                                left: 50%;
                                width: 240px !important;
                                transform: translateX(-50%);
                            }

                            @media screen and (min-width: 1200px){
                                padding: 0 3rem;
                            }
                        }
                    }
                }
            }

            .article--wrapper {
                h2 {
                    font-family: 'VAGRoundedStd';
                    font-weight: 300;
                    font-size: 1rem;
                }

                .card-article {
                    .card-link {
                        display: block;
                        border-radius: 12px;
                        overflow: hidden;

                        .card-img-top {
                            figure {
                                position: relative;
                                height: 0;
                                padding-bottom: 35%;

                                img {
                                    position: absolute;
                                    top: 0;
                                    left: 0;
                                    width: 100%;
                                    height: 100%;
                                    object-fit: cover;
                                }
                            }
                        }

                        .card-body {
                            padding: 1.5rem 1rem;

                            h3 {
                                font-weight: bold;
                                min-height: 50px;
                                margin-bottom: .75rem;
                                line-height: 1.1;
                                font-size: 20px;

                                @media screen and (max-width: 399px){
                                    min-height: 66px;
                                }
                            }

                            p {
                                margin-bottom: 0;
                                font-size: 13px;
                                letter-spacing: .5px;

                                @media screen and (max-width: 767px){
                                    font-size: 12px;
                                }
                            }
                        }
                    }
                }

                .swiper-pagination {
                    position: relative;
                    margin-top: 1.5rem;

                    .swiper-pagination-bullet {
                        margin: 0 5px;
                        background: #013AAD;
                    }
                }

                @media screen and (max-width: 767px){
                    margin-left: -15px;
                    margin-right: -15px;

                    h2 {
                        padding: 0 15px;
                    }
                }
            }

            .product--wrapper {
                margin-bottom: 5rem;

                .product--wrapper-inner {
                    border-radius: 20px;
                    overflow: hidden;
                    position: relative;

                    .product-content {
                        position: absolute;
                        z-index: 2;
                        top: 0;
                        left: 0;
                        width: 100%;
                        height: 100%;
                        padding: 3rem 1rem;

                        .link {
                            color: #fff;
                            font-weight: bold;
                            letter-spacing: .75px;
                        }

                        .product-content--wrapper,
                        .product-img--wrapper {
                            picture {
                                margin-left: auto;
                                margin-right: auto;
                            }
                        }

                        .product-content--wrapper {
                            margin-bottom: 3rem;

                            h4 {
                                color: #fff;
                                font-weight: 200;
                                margin: .75rem 0 0;
                                font-size: 26px;
                            }
                        }

                        .product-img--wrapper {
                            picture {
                                max-width: 280px;
                                transform: translateX(-5px);
                            }
                        }

                        @media screen and (min-width: 768px){
                            padding: 1.5rem;

                            .btn-white,
                            .link {
                                font-size: 12px;
                            }

                            .product-content--wrapper {
                                margin-bottom: 1rem;

                                picture {
                                    max-width: 180px;
                                }

                                h4 {
                                    font-size: 16px;
                                }
                            }

                            .product-img--wrapper {
                                picture {
                                    max-width: 190px;
                                    transform: translate(-10px, 20px);
                                    // margin-bottom: 1.5rem;
                                }
                            }
                        }

                        @media screen and (min-width: 992px){
                            .btn-white,
                            .link {
                                font-size: 14px;
                            }

                            .product-content--wrapper {
                                picture {
                                    max-width: 200px;
                                }

                                h4 {
                                    font-size: 18px;
                                }
                            }

                            .product-img--wrapper {
                                picture {
                                    max-width: 240px;
                                    margin-bottom: 0;
                                }
                            }
                        }

                        @media screen and (min-width: 1200px){
                            .product-content--wrapper {
                                picture {
                                    max-width: 280px;
                                }

                                h4 {
                                    font-size: 18px;
                                }
                            }

                            .product-img--wrapper {
                                picture {
                                    max-width: 340px;
                                    transform: translate(-25px, 10px);
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

.modal.rewards-modal {
    .modal-dialog {
        .modal-content {
            background-color: #93D6FD;
            background: linear-gradient(3.67deg, #93D6FD -34.79%, rgba(244, 251, 255, 0) 85.34%), #F4FBFF;

            .modal-body {
                color: #033DAA;
                padding: 3rem 1.5rem 1.5rem;
                background-image: url(../images/stresstest/orn-rewards.png);
                background-position: 50% 5%;
                background-repeat: no-repeat;
                background-size: 90% auto;

                h3, h5 {
                    font-weight: bold;
                }

                h5 {
                    margin-bottom: .75rem;
                }

                picture {
                    max-width: 280px;
                    margin-left: auto;
                    margin-right: auto;

                    img {
                        transform: translateX(10px);
                    }
                }

                p {
                    letter-spacing: .35px;
                    line-height: 1.5;
                }

                @media screen and (min-width: 768px){
                    background-size: 80% auto;
                }
            }
        }
    }
}
